# LinkLabel

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [Label](/api/v3.0/wisej.web/content/wisej.web.label.md)
    * [LinkLabel](/api/v3.0/wisej.web/content/linklabel.md)

Represents an hyper-link control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class LinkLabel : Label, IButtonControl
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class LinkLabel
    Inherits Label
    Implements IButtonControl
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)LinkLabel()

Initializes a new default instance of the [LinkLabel](/api/v3.0/wisej.web/content/linklabel.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)ActiveLinkColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the color used to display an active link (while being pressed).

### ![](/files/uCY6T77rh488FWHzpJ6P)DisabledLinkColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the color used when displaying a disabled link.

### ![](/files/uCY6T77rh488FWHzpJ6P)LinkArea

[LinkArea](/api/v3.0/wisej.web/content/linklabel/wisej.web.linkarea.md): Returns or sets the range in the text to treat as a link.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The [Start](/api/v3.0/wisej.web/content/linklabel/wisej.web.linkarea.md#start) property of the [LinkArea](/api/v3.0/wisej.web/content/linklabel/wisej.web.linkarea.md) object is less than zero; or the [Length](/api/v3.0/wisej.web/content/linklabel/wisej.web.linkarea.md#length) property of the [LinkArea](/api/v3.0/wisej.web/content/linklabel/wisej.web.linkarea.md) object is less than -1.

### ![](/files/uCY6T77rh488FWHzpJ6P)LinkBehavior

[LinkBehavior](/api/v3.0/wisej.web/enumerations/wisej.web.linkbehavior.md): Returns or sets a value that represents the behavior of a link.

### ![](/files/uCY6T77rh488FWHzpJ6P)LinkColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Returns or sets the color used when displaying a link.

### ![](/files/uCY6T77rh488FWHzpJ6P)TabStop

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the user can give the focus to this control using the TAB key.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)LinkClicked

[LinkLabelLinkClickedEventHandler](/api/v3.0/wisej.web/content/linklabel/wisej.web.linklabellinkclickedeventhandler.md) Fired when a link is clicked within the control.

### ![](/files/uCY6T77rh488FWHzpJ6P)TabStopChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [TabStop](/api/v3.0/wisej.web/content/wisej.web.label.md#tabstop) property changes.

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IButtonControl](/api/v3.0/wisej.web/interfaces/wisej.web.ibuttoncontrol.md)           | Allows a control to act like a button on a [Form](/api/v3.0/wisej.web/containers/form.md).                                 |
| [IImage](/api/v3.0/wisej.web/interfaces/wisej.web.iimage.md)                           | Provides access to common image properties across the controls that implement this interface.                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/linklabel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
